REST API

Games

The catalog of games available for AI-generated content. Use this to populate game pickers and validate input on your side.

List games

http
GET /api/v2/games
GET/api/v2/gamesscope · games:read
curl -X GET 'https://hub.playgent.com/api/v2/games'
Response
Send the request to see the response. Your key is stored in this browser only.

Response:

json
{
  "object": "list",
  "data": [
    {
      "id": "trivia",
      "name": "Trivia",
      "description": "Answer trivia questions on any topic.",
      "category": "knowledge",
      "modes": ["pinned", "daily", "random"],
      "default_mode": "pinned",
      "difficulties": ["easy", "medium", "hard"],
      "supports_generation": true,
      "supports_sources": ["topic", "url", "text"],
      "cover": "https://static.playgent.com/trivia/logo.png"
    }
  ]
}

Field reference

FieldTypeNotes
idstringUse as game in calls to Playgent.init and content creates.
namestringCustomer-facing display name.
descriptionstringOne-sentence summary suitable for UI.
categorystringHigh-level grouping: words / knowledge / images / casual / numbers / logic / geography / cards.
modesstring[]Which modes the game supports.
default_modestringThe mode the Hub Playground opens with.
difficultiesstring[]Game-specific labels — easy/medium/hard is most common.
supports_generationbooleanIf false, generate-from-input isn't supported (mostly seeded games).
supports_sourcesstring[]Which input_types POST /api/v2/content accepts for this game.
coverstringPublic cover image URL.